haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.Config

Description

Configuration for the code generator.

# Documentation

data Config Source #

Constructors

Config |

Fields

- modName :: Text

  GIR name of the module being generated (Gtk, GObject, ...).

- modVersion :: Text

  Version of the GIR API for the package being generated ("3.0", "2.0", ...).

- ghcPkgName :: Text

  Haskell package being generated (gi-gtk, gi-gobject, ...).

- ghcPkgVersion :: Text

  Version of the haskell package ("3.0.35", "2.0.21", ...).

- verbose :: Bool

  Whether to print extra info.

- overrides :: Overrides

  List of loaded overrides for the code generator.

#### Instances

Instances details

Show Config Source # |
Instance details Defined in Data.GI.CodeGen.Config Methods showsPrec :: Int -> Config -> ShowS Source # show :: Config -> String Source # showList :: [Config] -> ShowS Source #